import meitan from './贵州省.json';
export default {
    mName : "AMap",
    edit : "AMap",
    keys : {
        "amapkey": "key",
        center:"中心点(寻迹图起点)",
        "map": {
            "mapStyle": "地图样式"
        },
        "legend": {
            "_name": "图例",
            "name": "图例名称",
            "icon": "图例内容",
            "color": "颜色"
        },
        "covers": {
            "_name": "覆盖物集合",
            "type": "覆盖物类型",
            "legend": "绑定图例序号",
            "value": "数据(只在点类型起作用)"
        },
        dataInterface: {
            _name: "数据接口配置",
            url: "数据接口",
            params: {
                _name: "请求参数",
                value: "接口参数名称(需有父级数据关联)"
            },
            dataSource: {
                _name: "数据源结构关联",
                SourceKey: "源数据结构",
                AimsKey: "目标数据结构"
            }
        }
    },
    option:{
        geoJson:{
            meitan
        }
    },
    data : {
        dataInterface: {
            url: "/htdata/map/findTopicFigure",
            params: [
                {
                    value: 'id'
                }
            ],
            dataSource: [
                {
                    SourceKey: "retBody.list",
                    AimsKey: "data.list",
                    // keyRelated:""
                }
            ]
        },
        list:[{
            type:"",
            value:"",
            lng:"",
            lat:""
        }],
        center:[106.630153,26.647661],
        "_caveat": "提示：目前地图配置使用高德地图API。（图例内容：图标、图片地址、文字）",
        "amapkey": "",
        "map": {
            "mapStyle": "",
            "center": [
                106.630153,26.647661
            ],
            "zoom": 9
        },
        "legend": [
            {
                "name": "",
                "icon": "",
                "color": ""
            }
        ],
        "covers": []
    }
}