export default {
    mName:"DistributedList",
    edit : "DistributedList",
    keys : {
        // title:"标题",
        cityCode:"城市名称或编码",
        legend:{
            _name: "图例",
			name: "图例名称",
			icon: '图例内容',
			color: "颜色"
        },
        list: {
            legend:"图例序号",
            name: "名称",
            info:"信息",
            addmap: "地图数据"
        },
        dataInterface: {
            _name: "数据接口配置",
            url: "接口连接",
            params: {
                _name: "请求参数",
                value: "接口参数名称(需有父级数据关联)"
            },
            dataSource: {
                _name: "数据源结构关联",
                SourceKey: "源数据结构",
                AimsKey: "目标数据结构",
                keyRelated: "集合键关联"
            }
        }
    },
    data : {
        cityCode:"贵州省",
        dataInterface: {
            //url: "/htdata/map/findOrchardAll",
            params: [
                {
                    value: "id"
                }
            ],
            dataSource: [
                {
                    SourceKey: "retBody.list",
                    AimsKey: "data.list.info",
                    keyRelated:'info.value'
                }, {
                    SourceKey: "retBody.list",
                    AimsKey: "data.list"
                }
            ]
        },
        legend:[{
			name: "直营园区",
			icon: '',
			color: "#FFDF00"
        },{
			name: "签约园区",
			icon: '',
			color: "#00F7FF"
        }],
        list: [
            {
                legend:1,
                name: "永兴桥村基地",
                info: [
                    {
                        "value": "产量：729.2吨"
                    }, {
                        "value": "规模：1610亩"
                    }
                ],
                url: "//baidu.com",
                lnglat: [107.465407,27.749055]
            }
        ]
    }
}