export default {
    mName: "TitleBgTextList",
    edit: "All",
    keys: {
        dataInterface: {
            _name: "数据接口配置",
            url: "接口连接",
            params: {
                _name: "请求参数",
                value: "接口参数名称(需有父级数据关联)"
            },
            dataSource: {
                _name: "数据源结构关联",
                SourceKey: "源数据结构",
                AimsKey: "目标数据结构",
                keyRelated: "集合键关联"
            }
        },
        scrollTime:"滚动时间",
        list: {
            name: '名称',
            id: "数据ID",
            value: "统计",
            title: "标题"
        }
    },
    data: {
        dataInterface: {
            url:"/forest-admin/big/company/cat",
            params: [
                {
                    value: "id"
                }
            ],
            dataSource: [
                {
                    SourceKey: "data.title",
                    AimsKey: "data.title"
                }, {
                    SourceKey: "data",
                    AimsKey: "data.list",
                    keyRelated:'type.name|num.value'
                }
            ]
        },
        scrollTime:0,
        list: [
            // {
            //     name: '全部',
            //     id: 1,
            //     value: 12,
            //     title: "全部涉林企业统计"
            // }
        ]
    }
}