export default {
    mName:"productListData1",
    edit : "All",
    keys : {
        dataInterface:{
            _name:"数据接口配置",
            url:"接口连接",
            params:{
                _name:"请求参数",
                value:"接口参数名称(需有父级数据关联)"
            },
            dataSource:{
                _name:"数据源结构关联",
                SourceKey:"源数据结构",
                AimsKey:"目标数据结构",
                keyRelated:"集合键关联"
            }
        },
        retailPriceTitle:"零售价标题：",
        PurchaseLinkTitle:"购买链接标题：",
        priceIcon:"价格符号",
        IntroductionTitle:"简介标题",
        buyList:{
            icon:"图标链接",
            url:"购买链接"
        },
        minTitle:{
            name:"小标题",
            key:"字段"
        }
    },
    data : {
        dataInterface:{
            url:"/forest-admin/bigData/product/info",
            params:[{
                value:"id"
            }],
            dataSource:[{
                SourceKey:"data",
                AimsKey:"data",
                keyRelated:''
            }],
        },
        QRcode:"https://weiliicimg1.pstatp.com/weili/l/261026036195786793.webp",
        retailPriceTitle:"零售价",
        PurchaseLinkTitle:"点击链接购买",
        priceIcon:"￥",
        IntroductionTitle:"产品简介",
        buyList:[
        //     {
        //     icon:"http://img.qdaily.com/uploads/201904301229232wqMV87xmtnNOKdD.jpg-w600",
        //     url:"https://www.tmall.com/"
        // }
         ],
        minTitle:[
            {name:"产品品牌",key:'brandName'},
            // {        name:"产品规格",key:'spec'},
            // {        name:"保质期",key:'qualityGuaranteePeriod'},
            {        name:"生产地",key:'placeOfProduction'},
            {        name:"供应商",key:'umsCompanyInfo'},
        ]
    }
}