import React from 'react';
import styles from './index.css';
import {getData} from '../../../api/index';
import EditTpl from "../../../components/edit/index";
import Box from '../../../components/Box/index.jsx';
import TitleListText from '../../../components/TitleListText/index.jsx';
import AutoList from '../../../components/autoList/index';

export default class index extends React.Component {
    state = {
        ParkDetailsInfo: {
            data: {
                list: [],
                introduce: ""
            }
        },
        ParkDetailsInfo2: {
            data: {
                list: [],
                introduce: ""
            }
        }
    }
    updata = (props) =>{
        const {
            match: {
                params = {}
            },
            navItem
        } = props,
        obj = {
            ...params,
            params: {
                ...navItem
            }
        };
        //园区基本信息
        getData({
            ...obj,
            port:"ParkDetailsInfo"
        }).then(res => {
            const {code, config} = res;
            if (!code) {
                //动态标题
                // config.data.title = navItem.name;
                this.setState({ParkDetailsInfo:config})
            }
        });
        getData({
            ...obj,
            port:"ParkDetailsInfo2"
        }).then(res => {
            const {code, config,config:{
                data:{
                    list = []
                }
            }} = res;
            if (!code) {
                //处理value
                config.data.list = list.map(x=>{
                    return {
                        ...x,
                        value:[x.value1,x.value2]
                    }
                });
                this.setState({ParkDetailsInfo2:config})
            }
        });
    }
    componentDidMount(){
        this.updata(this.props);
    }
    componentWillReceiveProps(props) {
        const {navItem} = this.props,
        {navItem:{id}} = props;
        id && id != navItem.id && this.updata(props);
    }
    render() {
        const {
            ParkDetailsInfo,
            ParkDetailsInfo2,
            ParkDetailsInfo2:{
                data:{
                    list = []
                }
            }
        } = this.state;
        return (
            <div className={styles.box}>
                <Box className={styles.top}>
                    <TitleListText data={ParkDetailsInfo}></TitleListText>
                </Box>
                <Box className={styles.bottom}>
                    <EditTpl data={ParkDetailsInfo2} updata={ParkDetailsInfo2=>this.setState({ParkDetailsInfo2})}></EditTpl>
                    <AutoList style={{height:"80%",margin:"5% 10%"}} row={1} data={list}></AutoList>
                </Box>
            </div>
        )
    }
}