export default {
    mName: "TitleBgTextList",
    edit: "All",
    keys: {
        title: "标题:",
        value: "数据：",
        list: {
            name: '名称',
            value: "数据ID"
        },
        dataInterface: {
            _name: "数据接口配置",
            url: "接口连接",
            params: {
                _name: "请求参数",
                value: "接口参数名称(需有父级数据关联)"
            },
            dataSource: {
                _name: "数据源结构关联",
                SourceKey: "源数据结构",
                AimsKey: "目标数据结构",
                keyRelated: "集合键关联"
            }
        }
    },
    data: {
        title: "竹香米业有限责任公司种植统计",
        value: 687,
        dataInterface: {
            url: "/htdata/map/findOrchardStatis",
            params: [
                {
                    value: "id"
                }
            ],
            dataSource: [
                {
                    SourceKey: "retBody.title",
                    AimsKey: "data.title"
                }, {
                    SourceKey: "retBody.list",
                    AimsKey: "data.list"
                }
            ]
        },
        list: [
            {
                name: '园区总数',
                id: 1
            }, {
                name: '总种植面积 (亩)',
                id: 2
            }, {
                name: '总年产量(吨)',
                id: 3
            }, {
                name: '社员人数 (人)',
                id: 4
            }
        ]
    }
}