export default {
    mName : "AMap",
    edit : "AMap",
    keys : {
        "amapkey": "key",
        "map": {
            "mapStyle": "地图样式"
        },
        "legend": {
            "_name": "图例",
            "name": "图例名称",
            "icon": "图例内容",
            "color": "颜色"
        },
        "covers": {
            "_name": "覆盖物集合",
            "type": "覆盖物类型",
            "legend": "绑定图例序号",
            "value": "数据(只在点类型起作用)"
        },
        dataInterface:{
            _name:"数据接口配置",
            url:"接口连接",
            params:{
                _name:"请求参数",
                value:"接口参数名称(需有父级数据关联)"
            },
            dataSource:{
                _name:"数据源结构关联",
                SourceKey:"源数据结构",
                AimsKey:"目标数据结构"
            }
        },
    },
    data : {
        dataInterface:{
            // url:"/htdata/map/findOrchardBorder",
            url:"",
            params:[{
                value:''
            }],
            dataSource:[{
                SourceKey:"retBody.info",
                AimsKey:"data.covers"
            }],
        },
        "_caveat": "提示：目前地图配置使用高德地图API。（图例内容：图标、图片地址、文字）",
        "amapkey": "",
        "map": {
            "mapStyle": "",
            "center": [
                107.465407,27.749055
            ],
            "zoom": 15
        },
        "legend": [
            {
                "name": "红",
                "icon": "icon-luyouqi",
                "color": "#FF0000"
            },
            {
                "name": "黄",
                "icon": "",
                "color": "#FFFF00"
            },
            {
                "name": "蓝",
                "icon": "icon-shexiangtou",
                "color": "#0000FF"
            }
        ],
        "covers": []
    }
}