export default {
    mName : "Weather",
    edit : "All",
    keys : {
        todayWeather: {
            _name: "今天天气",
            cityName: '城市名称',
            currDate: "日期",
            week: "星期",
            maxTemp: "高温",
            minTemp: "低温"
        },
        castWeather: {
            _name: "明日天气",
            castDate: "日期",
            castWeek: "星期",
            castMaxTemp: "高温",
            castMinTemp: "低温"
        },
        dataInterface: {
            _name: "数据接口配置",
            url: "接口连接",
            params: {
                _name: "请求参数",
                value: "接口参数名称(需有父级数据关联)"
            },
            dataSource: {
                _name: "数据源结构关联",
                SourceKey: "源数据结构",
                AimsKey: "目标数据结构",
                keyRelated: "集合键关联"
            }
        }
    },
    data : {
        dataInterface: {
            url: "/htdata/public/weather",
            params: [
                {
                    value: "cityCode"
                }
            ],
            dataSource: [
                {
                    SourceKey: "retBody.todayWeather",
                    AimsKey: "data.todayWeather"
                }, {
                    SourceKey: "retBody.castWeather",
                    AimsKey: "data.castWeather"
                }
            ]
        },
        todayWeather: {
            cityName: "贵阳市",
            currDate: "01月07日",
            week: "周二",
            maxTemp: "16",
            minTemp: "5"
        },
        castWeather: [
            {
                castDate: "01月08日",
                castWeek: "周三",
                castMaxTemp: "14",
                castMinTemp: "9"
            }
        ]
    }
}