import React from "react";
import styles from "./index.css";
const Box = props =>{
    const {children,no,...othprops} = props;
    return (
        <div {...othprops} className={`${styles.Tag} ${props.className}`}>
            {!!no || <div className={styles.TagTop}></div>}
            {!!no || <div className={styles.TagBottom}></div>}
            {children}
        </div>
    )
}
export {Box}
export default Box;