export default {
    mName: "FloatWindowData",
    edit: "All",
    keys: {
        title: "标题",
        list: {
            name: '名称',
            id: "数据ID"
        },
        dataInterface: {
            _name: "数据接口配置",
            url: "接口连接",
            params: {
                _name: "请求参数",
                value: "接口参数名称(需有父级数据关联)"
            },
            dataSource: {
                _name: "数据源结构关联",
                SourceKey: "源数据结构",
                AimsKey: "目标数据结构",
                keyRelated: "集合键关联"
            }
        }
    },
    data: {
        dataInterface: {
            url: "/forest-admin/big/1/data9",
            params: [
                {
                    value: "id"
                }
            ],
            dataSource: [
                {
                    SourceKey: "data.title",
                    AimsKey: "data.title"
                }, {
                    SourceKey: "data.detail",
                    AimsKey: "data.list"
                }
            ]
        },
        list: [
            {
                name: '全部',
                id: 1,
            }
        ]
    }
}