export default {
    mName:"TitleListText",
    edit: "All",
    keys: {
        introduce: "描述:",
        list: {
            name: '名称',
            value: "数据"
        },
        dataInterface: {
            _name: "数据接口配置",
            url: "园区信息接口",
            params: {
                _name: "请求参数",
                value: "接口参数名称(需有父级数据关联)"
            },
            dataSource: {
                _name: "数据源结构关联",
                SourceKey: "源数据结构",
                AimsKey: "目标数据结构",
                keyRelated: "集合键关联"
            }
        }
    },
    data: {
        dataInterface:{
            url:"/forest-admin/big/company/detail",
            params:[{
                value:"id"
            }],
            dataSource:[{
                SourceKey:"data.list",
                AimsKey:"data.list",
                keyRelated:'title.name|data.value'
            },{
                SourceKey:"data.desc",
                AimsKey:"data.introduce"
            }],
        },
        introduce: "",
        list: [
            {
                name: '小标题',
                value: "102"
            }
        ]
    }
}