export default {
    mName:"WarningData",
    edit : "DistributedList",
    keys : {
        dataInterface: {
            _name: "数据接口配置",
            url: "接口连接",
            params: {
                _name: "请求参数",
                value: "接口参数名称(需有父级数据关联)"
            },
            dataSource: {
                _name: "数据源结构关联",
                SourceKey: "源数据结构",
                AimsKey: "目标数据结构",
                keyRelated: "集合键关联"
            }
        },
        title:"公用标题：",
        legend:{
            _name: "图例",
			name: "图例名称",
			icon: '图例内容',
			color: "颜色"
        },
        list: {
            legend:"图例序号",
            name: "名称",
            desc:"信息",
            addmap: "地图数据"
        }
    },
    data : {
        dataInterface: {
            url: "",
            params: [
                {
                    value: "id"
                }
            ],
            dataSource: [
                {
                    SourceKey: "retBody.list",
                    AimsKey: "data.list.info",
                    keyRelated:'info.value'
                }, {
                    SourceKey: "retBody.list",
                    AimsKey: "data.list"
                }
            ]
        },
        title:"贵州“林产品态势图”应用平台",
        legend:[{
			name: "点",
			icon: '',
			color: "#FFDF00"
        }],
        list: [
            {
                legend:1,
                name: "预警预警",
                desc:"1212112211",
                lnglat: [107.465407,27.749055]
            }
        ]
    }
}